Upgrading BuddyPress from 1.1.1 to 1.5.1

I want to upgrade a site built in 2009 to to the latest versions and the site still uses:
WordPress MU 2.8.4 and Buddypress 1.1.1.

1) Does the new site need to be Multisite? I am not sure how the new version would import the old database otherwise.

2) I see there is a plugin to upgrade from BuddyPress 1.1.x to 1.2. Do I need to do that first and then upgrade from 1.2 to 1.5?